/*-
 * Copyright (c) 2002    Granch Ltd. 	All rigts reserved.
 *
 * All or some portions of this file are derived from material licensed
 * to the Grahcn Ltd. and are reproduced herein with the permission of
 * Granch Ltd.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE GRANCH LTD. AND THEIR CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Author : Rashid N. Achilov 		E-Mail shelton@sentry.granch.ru
 *
 *	@(#)externals.h			0.91.3 (Granch Ltd.) 	23/01/03
 */
/*--------------------------------------------------------------------------

            Kaspersky Anti-Virus mail filter, based on libmilter API

	    UNIX FreeBSD 4.6 version

            Common external variables.

--------------------------------------------------------------------------*/
#ifndef _EXTERNALS_H_
#define _EXTERNALS_H_

#include "includes.h"

extern char *tmpdir;			 // Initial temp directory
extern char *kavconnect;    		 // Initial KAV channel
extern char *mailsocket; 		 // Sendmail communication socket
extern char *progname;			 // Program file name
extern char *pidfile;                    // PID file name to save PID
extern char *config;			 // Configuration file name
extern struct local_flags _flags;	 // Global (all milter) flags
extern short int _timeout;     		 // Sendmail connect timeout
extern short int _kavtimeout;  		 // KAV connect timeout
extern short int _debug_level; 		 // Debug level

extern struct smfiDesc kavfilter;	 // Main data callbacks structure

extern char *cannot; 			 // Part of error messages

extern struct local_config _KAV_milter_config;	 // Parsed configuration file

#endif
