/*-
 * Copyright (c) 2002    Granch Ltd. 	All rigts reserved.
 *
 * All or some portions of this file are derived from material licensed
 * to the Grahcn Ltd. and are reproduced herein with the permission of
 * Granch Ltd.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE GRANCH LTD. AND THEIR CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Author : Rashid N. Achilov		E-Mail shelton@sentry.granch.ru
 *
 *	@(#)globals.c	  		0.91.3 (Granch Ltd.) 	23/01/03
 */
/*-------------------------------------------------------------------------

            Kaspersky Anti-Virus mail filter, based on libmilter API

	    UNIX FreeBSD 4.6 version

            Global variables description.

-------------------------------------------------------------------------*/
#include "includes.h"
#include "functions.h"

char *tmpdir = NULL;			 // Initial temp directory
char *kavconnect = NULL;		 // Initial KAV channel
char *mailsocket = NULL; 		 // Sendmail communication socket
char *progname = NULL;			 // Program file name
char *pidfile = NULL;                    // PID file name to save PID
char *config = NULL;			 // Configuration file name
struct local_flags _flags;		 // Global (all milters) flags
short int _timeout = 0;      		 // Sendmail connect timeout
short int _kavtimeout = 0;  		 // KAV connect timeout
short int _debug_level = 0;		 // Debug level

char *cannot = "cannot allocate memory to"; // Part of error messages

struct local_config _KAV_milter_config;	 // Parsed configuration file

// Main filter data structure

struct smfiDesc kavfilter =
{
    "kavmilter", 		// filter name
    SMFI_VERSION,   		// version code -- do not change
    SMFIF_ADDHDRS,  		// flags
    mlfi_connect,   		// connection info filter
    mlfi_helo,      		// SMTP HELO command filter
    mlfi_envfrom,   		// envelope sender filter
    mlfi_envrcpt,   		// envelope recipient filter
    mlfi_header,    		// header filter
    mlfi_eoh,       		// end of header
    mlfi_body,      		// body block filter
    mlfi_eom,       		// end of message
    mlfi_abort,     		// message aborted
    mlfi_close,     		// connection cleanup
};

