/*-
 * Copyright (c) 2002    Granch Ltd. 	All rigts reserved.
 *
 * All or some portions of this file are derived from material licensed
 * to the Grahcn Ltd. and are reproduced herein with the permission of
 * Granch Ltd.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE GRANCH LTD. AND THEIR CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Author : Rashid N. Achilov 		E-Mail shelton@sentry.granch.ru
 *
 *	@(#)kavmilter.h	 		0.91.3 (Granch Ltd.) 	23/01/03
 */
/*------------------------------------------------------------------------

            Kaspersky Anti-Virus mail filter, based on libmilter API

	    UNIX FreeBSD 4.6 version

            Global definitions.

--------------------------------------------------------------------------*/

#define OK	1
#define NO	0
#define ERR    -1

#define KAV_MILTER	"Kaspersky mail filter, based on Milter API"
#define KAV_DATE	"built on "__DATE__" at "__TIME__ " "

#define MLFIPRIV        ((struct mlfiPriv *) smfi_getpriv(ctx))

#define TEMPLENGTH	32		// Length of temp file name

#define SMTPREJECT	"554"		// SMTP reject base code
#define SMTPADDREJECT	"5.7.1"		// SMTP reject extended code

#define SMTPNOKAV	"451"  		// SMTP no active KAV found
#define SMTPADDNOKAV	"4.7.1"		// SMTP no active KAV extended code

#define SMTPIOERR	"451"  		// SMTP I/O error, when KAV process
#define SMTPADDIOERR	"4.7.7"		// SMTP I/O error extended code

#define RECITE_MESSAGE  1		// Save this message for further
#define PASS_MESSAGE    0		// Simply pass through

#ifndef CONFIG
 #define CONFIG		"/usr/local/etc/kavmilter.conf"
#endif

#define VERSION_MAJOR	  0		// Version numerating
#define VERSION_MINOR	 91
#define VERSION_PATCH	  3

#define INFPARAM	100		// InfectedAction processor code
