/*-
 * Copyright (c) 2002  Granch Ltd. 	All rigts reserved.
 *
 * All or some portions of this file are derived from material licensed
 * to the Grahcn Ltd. and are reproduced herein with the permission of
 * Granch Ltd.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE GRANCH LTD. AND THEIR CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Author : Rashid N. Achilov		E-Mail shelton@granch.ru
 *
 *	@(#)filecopy.c 			0.91.1 (Granch Ltd.) 	30/10/02
 */
/*-------------------------------------------------------------------------

            Standard functions library

            Issue copying of file

            FreeBSD 4.6 version

            Call: int filecopy(char *infile, char *outfile, mode_t filemode);
            Return: 0  - file was succesfully copied
            	    -1 - Errors when copying, associated with source file
                    >0 - Errors when copying, associated with destination file

-------------------------------------------------------------------------*/
#include "make.h"

int filecopy(char *infile, char *outfile, mode_t filemode)
{
  int i;
  short int handle,ohandle,k;
  char *array;
  struct stat sb;

  if ((handle = open(infile,O_RDONLY)) < NULL)
    return ERR;
   else
     {
       stat(infile,&sb);
       array = (char *) malloc(1024);

       if ((ohandle =
          	open(outfile,O_CREAT | O_TRUNC | O_WRONLY)) < NULL)
         {
           free(array);
           return OK;
         }
        else
          {
            for(i = 0;i < sb.st_size;i += k)
             {
               k = read(handle,array,1024);
               write(ohandle,array,k);
             }

            close(handle);
            close(ohandle);
            chmod(outfile,filemode);
            free(array);
          }
     }

  return NULL;
}
